#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

//----------------------------------------------------------------------------//

CLIPPER INVALIDATE() // RECT( hWnd, aRect, lRepaint ) // ( hWnd, lRepaint )
{                                                     // --> nil
   RECT rct;
   BOOL bRepaint = TRUE;

   if( ISLOGICAL( 2 ) )
      bRepaint = _parl( 2 );

   if( ISLOGICAL( 3 ) )
      bRepaint = _parl( 3 );

   if( ISARRAY( 2 ) )
   {
      rct.top    = _parni( 2, 1 );
      rct.left   = _parni( 2, 2 );
      rct.bottom = _parni( 2, 3 );
      rct.right  = _parni( 2, 4 );
      InvalidateRect( _parni( 1 ), &rct, bRepaint );
    }
    else
      InvalidateRect( _parni( 1 ), 0, bRepaint );
}

//----------------------------------------------------------------------------//
